//
//  YHMainApplicantInfoViewController.swift
//  galaxy
//
//  Created by davidhuangA on 2024/1/29.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit
/*
 *主申请人信息 预览
 */
class YHMainApplicantInfoPreviewViewController: YHPersonInfoBaseViewController {
    var arrData : [YHPreviewInfoSessionModel] = []
    override func viewDidLoad() {
        super.viewDidLoad()
        setupUI()
    }
    
    
}

private extension YHMainApplicantInfoPreviewViewController {
    func installData() {
        do {
            //国家信息
            let tmp0 = YHPreviewQuestionAndAnswerModel(question: "国家/国籍：", answer: "中国-China")
            let tmp1 = YHPreviewQuestionAndAnswerModel(question: "港澳通行证：", answer: "未办理")
            let arr = [tmp0,tmp1]
            let model1 = YHPreviewInfoSessionModel(cellType: .countryInfoType, cellTitle: "国籍信息", cellData0: arr)
            arrData.append(model1)
        }
        
        do {
            //基本信息
            let tmp0 = YHPreviewQuestionAndAnswerModel(question: "主申请人：", answer: "DavidHuang")
            let tmp1 = YHPreviewQuestionAndAnswerModel(question: "曾用名：", answer: "--")
            let tmp2 = YHPreviewQuestionAndAnswerModel(question: "婚前姓氏：", answer: "--")
            
            let tmp3 = YHPreviewQuestionAndAnswerModel(question: "出生日期：", answer: "1990年8月18日")
            let tmp4 = YHPreviewQuestionAndAnswerModel(question: "出生城市：", answer: "国内 吉林省/吉林市")
            let tmp5 = YHPreviewQuestionAndAnswerModel(question: "性别：", answer: "男")
            let tmp6 = YHPreviewQuestionAndAnswerModel(question: "婚姻状况：", answer: "已婚")
            let tmp7 = YHPreviewQuestionAndAnswerModel(question: "手机号：", answer: "13572984488")
            let tmp8 = YHPreviewQuestionAndAnswerModel(question: "邮箱：", answer: "13572984488@nn.com")
            let tmp9 = YHPreviewQuestionAndAnswerModel(question: "现居住地址：", answer: "现居住地址：现居住地址：现居住地址：现居住地址：现居住地址：现居住地址：")
            
            let tmp10 = YHPreviewQuestionAndAnswerModel(question: "详细地址：", answer: "锐度公园世家北区10-1-701锐度公园世家北区10-1-701")
            let tmp11 = YHPreviewQuestionAndAnswerModel(question: "是否办理过香港身份证：", answer: "是")
            let tmp12 = YHPreviewQuestionAndAnswerModel(question: "香港身份证：", answer: "否")
            
            let arr = [tmp0,tmp1,tmp2,tmp3,tmp4,tmp5,tmp6,tmp7,tmp8,tmp9,tmp10,tmp11,tmp12]
            let model2 = YHPreviewInfoSessionModel(cellType: .countryInfoType, cellTitle: "基本信息", cellData0: arr)
            arrData.append(model2)
        }
        
        
        do {
            //证件信息
            let tmp0 = YHPreviewQuestionAndAnswerModel(question: "中国身份证号码：", answer: "2203381990287633390")
            let tmp1 = YHPreviewQuestionAndAnswerModel(question: "签发地：", answer: "北京市分局")
            let tmp2 = YHPreviewQuestionAndAnswerModel(question: "签发日期：", answer: "2018-07-17")
            let tmp3 = YHPreviewQuestionAndAnswerModel(question: "届满日期：", answer: "2028-07-31")
            let model0 = YHPersonInfoCellModel1(cellTitle: "中国身份证", cellData: [tmp0,tmp1,tmp2,tmp3])
            
            
            let tmp4 = YHPreviewQuestionAndAnswerModel(question: "旅行社证件号码：", answer: "c2345639")
            let tmp5 = YHPreviewQuestionAndAnswerModel(question: "签发地：", answer: "北京市分局")
            let tmp6 = YHPreviewQuestionAndAnswerModel(question: "签发日期：", answer: "2018-07-17")
            let tmp7 = YHPreviewQuestionAndAnswerModel(question: "届满日期：", answer: "2028-07-31")
            let model1 = YHPersonInfoCellModel1(cellTitle: "港澳通行证", cellData: [tmp4,tmp5,tmp6,tmp7])
            
            
            let tmp8 = YHPreviewQuestionAndAnswerModel(question: "证件类别：", answer: "护照")
            let tmp9 = YHPreviewQuestionAndAnswerModel(question: "证件号码：", answer: "p2345639")
            let tmp10 = YHPreviewQuestionAndAnswerModel(question: "签发地：", answer: "北京市分局")
            let tmp11 = YHPreviewQuestionAndAnswerModel(question: "签发日期：", answer: "2028-07-31")
            let tmp12 = YHPreviewQuestionAndAnswerModel(question: "届满日期：", answer: "2028-07-31")
            let model2 = YHPersonInfoCellModel1(cellTitle: "护照及其他旅行证件", cellData: [tmp8,tmp9,tmp10,tmp11,tmp12])
            
            let arr = [model0,model1,model2]
            let model3 = YHPreviewInfoSessionModel(cellType: .idCardInfoType, cellTitle: "证件信息", cellData1: arr)
            arrData.append(model3)
        }
        
        
        do {
            //证件照片
            let model1 = YHPersonInfoCellModel2(cellTitle: "中国身份证",frontUrl: "", backUrl: "", idType: 1)
            let model2 = YHPersonInfoCellModel2(cellTitle: "港澳通行证",frontUrl: "", backUrl: "", idType: 2)
            
            let arr = [model1,model2]
            let model4 = YHPreviewInfoSessionModel(cellType: .idPictureType, cellTitle: "证件照片", cellData2: arr)
            arrData.append(model4)
        }
    }
    
    func setupUI() {
        installData()
        
        self.homeTableView.register(YHPreviewInfoCell.self,forCellReuseIdentifier: YHPreviewInfoCell.cellReuseIdentifier)
        self.homeTableView.reloadData()
    }
}



// MARK: - UITableViewDelegate 和 UITableViewDataSource
extension YHMainApplicantInfoPreviewViewController {
    override func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return arrData.count
    }
    
    override func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCell(withClass: YHPreviewInfoCell.self)
        cell.selectionStyle = .none
        cell.model = arrData[indexPath.row]
        return cell
    }
}
